---
title: AuthN Mappings
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > AuthN Mappings
---

# AuthN Mappings

[The AuthN Mappings API](https://docs.datadoghq.com/account_management/authn_mapping.md?tab=example) is used to automatically map groups of users to roles in Datadog using attributes sent from Identity Providers. Use these endpoints to manage your AuthN Mappings.

## Get an AuthN Mapping by UUID →{% #get-an-authn-mapping-by-uuid %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/authn_mappings/{authn_mapping_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |

## Edit an AuthN Mapping →{% #edit-an-authn-mapping %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/authn_mappings/{authn_mapping_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |

## Delete an AuthN Mapping →{% #delete-an-authn-mapping %}

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/authn_mappings/{authn_mapping_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/authn_mappings/{authn_mapping_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/authn_mappings/{authn_mapping_id} |

## List all AuthN Mappings →{% #list-all-authn-mappings %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/authn_mappings |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/authn_mappings |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/authn_mappings      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/authn_mappings      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/authn_mappings  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/authn_mappings     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/authn_mappings |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/authn_mappings |

## Create an AuthN Mapping →{% #create-an-authn-mapping %}

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/authn_mappings |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/authn_mappings |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/authn_mappings      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/authn_mappings      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/authn_mappings  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/authn_mappings     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/authn_mappings |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/authn_mappings |
